Package javax.validation.spi

# Interface ValidationProvider<T extends Configuration<T>>

public interface ValidationProvider<T extends Configuration<T>>

Version:
  $Rev$ $Date$

## Method Summary

Modifier and Type
Method
Description
`ValidatorFactory`
`buildValidatorFactory(ConfigurationState configurationState)`
`Configuration<?>`
`createGenericConfiguration(BootstrapState state)`
`T`
`createSpecializedConfiguration(BootstrapState state)`

## Method Details

### createSpecializedConfiguration

T createSpecializedConfiguration(BootstrapState state)

### createGenericConfiguration

Configuration<?> createGenericConfiguration(BootstrapState state)

### buildValidatorFactory

ValidatorFactory buildValidatorFactory(ConfigurationState configurationState)